<?php
/**
 * @Statement: [ An Ordinary Person ]
 * @Author: 闻子 < QQ：270988107 >
 * @Copyright: 闻子 2016-2019 All rights reserved.
 *
 *    .--,       .--,
 *   ( (  \.---./  ) )
 *    '.__/o   o\__.'
 *       {=  ^  =}
 *        >  -  <
 *       /       \
 *      //       \
 *     //|   .   |\
 *     "'\       /'"_.-~^`'-.
 *        \  _  /--'         `
 *      ___)( )(___
 *     (((__) (__)))    高山仰止,景行行止.虽不能至,心向往之.
 *
 */

namespace app\common\logic;

use think\Db;

class Tag extends Basedata
{
    /**
     * 定义模型
     * @Author 闻子 <270988107@qq.com>
     */
    public static $TagModel = null;

    /**
     * 实例化模型
     * @Author 闻子 <270988107@qq.com>
     */
    public function __construct()
    {
        parent::__construct();
        self::$TagModel = model($this->name);
    }

    /**
     * 获取标签数据逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getTagInfo($where = [], $field = true)
    {
        return self::$TagModel->getInfo($where, $field);
    }

    /**
     * 获取标签列表逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getTagList($where = [], $data = '')
    {
        return self::$TagModel->getWhereOrder($where, $data);
    }

    /**
     * 标签统计数据逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getTagCount($where = [])
    {
        return self::$TagModel->stat($where);
    }

    /**
     * 标签数据提交逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function formdata($data)
    {
    	$data['create_time'] = date('Y-m-d H:i:s');
        $url = url('/ohbbs/config/Tag');
        return self::$TagModel->setInfo($data) ? [RESULT_SUCCESS, '提交成功', $url] : [RESULT_ERROR, self::$TagModel->getError()];
    }

    /**
     * 标签编辑逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getedit($data)
    {
        $url = url('/ohbbs/config/Tag');
        return self::$TagModel->setInfo($data) ? ['code' => 1, 'msg' => '提交成功', 'data' => '', 'url' => $url] : ['code' => 0, 'msg' => '提交失败', 'data' => '', 'url' => $url];
    }

    /**
     * 标签删除逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getTagDel($id)
    {
        if (empty($id)) {
            return ["ERROR", '参数异常'];
        }
        $data['id'] = $id;
        $url = url('/ohbbs/config/Tag');
        return self::$TagModel->deleteyi($data) ? ['code' => 1, 'msg' => '删除成功', 'data' => '', 'url' => $url] : ['code' => 0, 'msg' => '删除失败', 'data' => '', 'url' => $url];
    }

    /**
     * 批量删除标签逻辑
     * @Author 闻子 <270988107@qq.com>
     */
    public function getTagalldel($data)
    {
        $str = rtrim($data, ","); 
        $row = self::$TagModel->deleteyi($str);
        $url = url('/ohbbs/config/Tag');
        return $row ? ['code' => 1, 'msg' => '删除成功', 'data' => '', 'url' => $url] : ['code' => 1, 'msg' => '删除失败', 'data' => '', 'url' => $url];
    }

}